image: aergus/latex

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  GIT_HOOKS_DIR: .git/hooks
  GIT_POST_CHECKOUT_HOOK_FILE: .git/hooks/post-checkout

before_script:
  - pushd ~
  - git clone https://framagit.org/groolot/my_texmf_tree.git texmf
  - popd
  - apt-get update -qq && apt-get install -y -qq graphviz

stages:
  - build

gnu-make:
  stage: build
  only:
    - tags
    - master
  script:
    - mkdir -p $GIT_HOOKS_DIR
    - cp $HOME/texmf/tex/latex/groolot/gitinfo_hook $GIT_POST_CHECKOUT_HOOK_FILE
    - chmod 755 $GIT_POST_CHECKOUT_HOOK_FILE
    - git checkout $CI_COMMIT_REF_NAME
    - latexmk -pdf $CI_PROJECT_NAME.tex
    - latexmk -pdf $CI_PROJECT_NAME-exercices.tex
    - mv $CI_PROJECT_NAME.pdf $CI_PROJECT_NAME-$CI_COMMIT_REF_NAME.pdf
    - mv $CI_PROJECT_NAME-exercices.pdf $CI_PROJECT_NAME-exercices-$CI_COMMIT_REF_NAME.pdf
  artifacts:
    name: "$CI_PROJECT_NAME-$CI_COMMIT_REF_NAME"
    expire_in: 1y
    paths:
      - "$CI_PROJECT_NAME-*.pdf"
